Package com.mockobjects.dynamic

# Class CallSequence

java.lang.Object
com.mockobjects.dynamic.CallCollection
com.mockobjects.dynamic.CallSequence

All Implemented Interfaces:
  `Callable`, `CallableAddable`, `Verifiable`

public class CallSequence extends CallCollection implements Callable, CallableAddable

## Constructor Summary

Constructors
Constructor
Description
`CallSequence()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExpect(Callable call)`
`void`
`addMatch(Callable call)`
`Object`
`call(Mock mock, String methodName, Object[] args)`
`String`
`getDescription()`
`boolean`
`matches(String methodName, Object[] args)`
`void`
`reset()`
Resets all expected calls and expected matches.
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CallSequence

public CallSequence()

## Method Details

### reset

public void reset()
Description copied from interface: `CallableAddable`
Resets all expected calls and expected matches.

Specified by:
  `reset` in interface `CallableAddable`

### call

public Object call(Mock mock, String methodName, Object[] args) throws Throwable

Specified by:
  `call` in interface `Callable`
Throws:
  `Throwable`

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `Callable`

### matches

public boolean matches(String methodName, Object[] args)

Specified by:
  `matches` in interface `Callable`

### addExpect

public void addExpect(Callable call)

Specified by:
  `addExpect` in interface `CallableAddable`

### addMatch

public void addMatch(Callable call)

Specified by:
  `addMatch` in interface `CallableAddable`

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`